This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Regenerating configure scripts


Ralf Wildenhues wrote:
$ autoconf
configure.ac:177: error: possibly undefined macro: AC_LC_MESSAGES
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:185: error: possibly undefined macro: AC_DEFINE

In which directory? It looks like you forgot some -I options to aclocal. See ACLOCAL_AMFLAGS in the Makefile.am in the directory where the respective configure.ac lives.

/usr/share/aclocal contains lcmessage.m4.

Any suggestions? (BTW I'm running aclocal v. 1.10, autoconf v. 2.61)

You should have automake 1.9.6 and autoconf 2.59 in $PATH, for GCC, not current versions.

I back-reved automake and autoconf to these versions by installing the corresponding rpms.

I'm trying to update configure in gcc/libstdc++-v3.

When I run with the options from Makefile.in, I get a bunch of messages:

$ aclocal -I . -I .. -I ../config
configure.ac:175: error: m4_require: circular dependency of AC_LANG_COMPILER(C++)
configure.ac:175: AC_LANG_COMPILER(C++) is required by...
autoconf/lang.m4:295: AC_LANG_COMPILER_REQUIRE is expanded from...
autoconf/general.m4:2215: AC_LINK_IFELSE is expanded from...
../libtool.m4:886: _LT_SYS_MODULE_PATH_AIX is expanded from...
../libtool.m4:5191: _LT_LANG_CXX_CONFIG is expanded from...
../libtool.m4:773: _LT_LANG is expanded from...
../libtool.m4:756: LT_LANG is expanded from...
configure.ac:175: AC_PROG_CXX is required by...
autoconf/c.m4:653: AC_LANG_COMPILER(C++) is expanded from...
configure.ac:175: AC_LANG_COMPILER(C++) is required by...
autoconf/lang.m4:295: AC_LANG_COMPILER_REQUIRE is expanded from...
autoconf/general.m4:2215: AC_LINK_IFELSE is expanded from...
autoconf/general.m4:2223: AC_TRY_LINK is expanded from...
autoconf/general.m4:1799: AC_CACHE_VAL is expanded from...
../config/unwind_ipinfo.m4:4: GCC_CHECK_UNWIND_GETIPINFO is expanded from...
configure.ac:175: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: autom4te failed with exit status: 1


RPM says that autoconf-2.61-9 is not installed, but rpm -qf /usr/share/autoconf/autoconf/lang.m4 says that is
provided by both autoconf-2.61-9 and autoconf-2.59-12. So
I really don't know whether 2.61 has been replaced by 2.59
or not.





-- Michael Eager eager@eagercon.com 1960 Park Blvd., Palo Alto, CA 94306 650-325-8077


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]